package com.yifu.cloud.plus.v1.job.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.job.entity.SysScheduleJob;

/**
 * @Author fxj
 * @Description
 * @Date 11:13 2022/6/15
 * @Param
 * @return
**/
public interface SysScheduleJobService extends IService<SysScheduleJob> {

    /**
     * 简单分页查询
     *
     * @param sysScheduleJob
     * @return
     */
    IPage<SysScheduleJob> getSysScheduleJobPage(Page<SysScheduleJob> page, SysScheduleJob sysScheduleJob);

    void run(String[] jobIds);

    void pause(String[] jobIds);

    void resume(String[] jobIds);

    void saveSysScheduleJob(SysScheduleJob scheduleJob);

    void updateSysScheduleJob(SysScheduleJob scheduleJob);

    void deleteSysScheduleJob(String jobIds);


}
